ComponentDragGestureListener (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.tools.dnd
Class ComponentDragGestureListener

    java.lang.Object
      com.bbn.openmap.tools.dnd.ComponentDragGestureListener

All Implemented Interfaces:
  java.awt.dnd.DragGestureListener, java.util.EventListener

    public class ComponentDragGestureListener

extends java.lang.Object
implements java.awt.dnd.DragGestureListener

A custom DragGestureListener class that accepts DefaultDnDCatcher as one of the parameters and invokes its startDragAction() method on dragGestureRecognized event.

Constructor Summary
`ComponentDragGestureListener(DefaultDnDCatcher dndCatcher, java.awt.dnd.DragSourceListener dsl)` Note that DefaultDnDCatcher is a DragSourceListener itself, so dndCatcher and dsl can be the same object.

Method Summary
`void` | `dragGestureRecognized(java.awt.dnd.DragGestureEvent dge)` A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentDragGestureListener

    public ComponentDragGestureListener(DefaultDnDCatcher dndCatcher,
                                        java.awt.dnd.DragSourceListener dsl)

  Note that DefaultDnDCatcher is a DragSourceListener itself, so dndCatcher and dsl can be the same object.

Method Detail

### dragGestureRecognized

    public void dragGestureRecognized(java.awt.dnd.DragGestureEvent dge)

  A `DragGestureRecognizer` has detected a platform-dependent drag initiating gesture and is notifying this listener in order for it to initiate the action for the user.

  Specified by:
    `dragGestureRecognized` in interface `java.awt.dnd.DragGestureListener`
  Parameters:
    `dge` - the `DragGestureEvent` describing the gesture that has just occurred

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details